Subject: Re: [PATCH 03/12] t: drop useless sane_unset GIT_* calls

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Mar 2014 15:06:04 -0700

Jeff King <[email-masked]> writes:

> I do not have a problem with that, as it implicitly covers all of the
> tests following it. I do not think it is particularly necessary, though.
> Assuming we start with a known test environment and avoiding polluting
> it for further tests are basic principles of _all_ test scripts.

They should be, but I suspect majority of tests, especially the
older ones, do have dependencies on earlier test pieces X-<.